#!/usr/bin/perl -w

# Copyright 2020 Kevin Ryde
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this file.  See the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

use 5.010;
use strict;
use Math::BigRat;
use Math::PlanePath::RationalsTree;

use FindBin;
use lib::abs $FindBin::Bin;
use MyPrintwrap ':all';
use MyRationals ':all';

# uncomment this to run the ### lines
# use Smart::Comments;


print "% generated by tools/$FindBin::Script\n";

printwrap_indent("% GP-DEFINE  ");

printwrap_gp_matrix (A1(), 'a1');
printwrap_gp_matrix (A2(), 'a2');
printwrap_gp_matrix (B1(), 'b1');
printwrap_gp_matrix (B2(), 'b2');

printwrap_gp_matrix (SB_left(),  'sbL');
printwrap_gp_matrix (SB_right(), 'sbR');

printwrap_gp_matrix (CW_left(),  'cwL');
printwrap_gp_matrix (CW_right(), 'cwR');

printwrap_gp_matrix (Bird_left(),  'birdL');
printwrap_gp_matrix (Bird_right(), 'birdR');

printwrap_gp_matrix (Drib_left(),  'dribL');
printwrap_gp_matrix (Drib_right(), 'dribR');

printwrap_gp_matrix (HCS_left(),  'hcsL');
printwrap_gp_matrix (HCS_right(), 'hcsR');

printwrap_gp_matrix (AYT_left(),  'aytL');
printwrap_gp_matrix (AYT_right(), 'aytR');

printwrap_gp_matrix (Kepler_left(),  'keplerL');
printwrap_gp_matrix (Kepler_right(), 'keplerR');

printwrap_gp_matrix (FibQ(), 'fibQ');

print "% end generated\n";
exit 0;
